#include <gtk/gtk.h>
#include <mysql/mysql.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>
#include <stdlib.h>
#include "main.h"

void cfp_write(){
    FILE *fp;
    GString *configfile = g_string_new("");
    g_string_printf(configfile,"%s/.inventory", getenv("HOME"));
    fp = fopen(configfile->str, "w");
    if(fp == NULL)
    {
    g_free(configfile);
    return;
     }
     if(main_info.save_settings){
     fprintf(fp, "username %s\n", main_info.username);
     fprintf(fp, "hostname %s\n", main_info.hostname);
     fprintf(fp, "password %s\n", main_info.password);
     fprintf(fp, "database %s\n", main_info.database);
     fprintf(fp, "port %i\n", main_info.port);
     fprintf(fp, "auto_connect %i\n", main_info.auto_connect);
     }
    if(main_info.save_posize){
     fprintf(fp, "height %i\n", main_info.height);    
     fprintf(fp, "width %i\n", main_info.width);    
     fprintf(fp, "x %i\n", main_info.x);    
     fprintf(fp, "y %i\n", main_info.y);    

    }
     fprintf(fp, "save_posize %i\n", main_info.save_posize);
     fprintf(fp, "save_settings %i\n", main_info.save_settings);

    fclose(fp);
    chmod(configfile->str, 0600);
    g_string_free(configfile, TRUE);
    return;
}

void cfp_read(){
    FILE *fp;
    char item[32], value[256];
    GString *configfile = g_string_new("");
    g_string_printf(configfile,"%s/.inventory", getenv("HOME"));

    fp = fopen(configfile->str, "r");
    if(fp == NULL)
    {
    g_free(configfile);
    return;
     }   
    while(fscanf(fp,"%s %s", item, value) != EOF){
	if(!strcmp("username", item)) strcpy(main_info.username, value);
	else if(!strcmp("hostname", item)) strcpy(main_info.hostname, value);
	else if(!strcmp("database", item)) strcpy(main_info.database, value);
	else if(!strcmp("password", item)) strcpy(main_info.password, value);
	else if(!strcmp("port", item)) main_info.port = atoi(value);
    	else if(!strcmp("auto_connect", item)) main_info.auto_connect = atoi(value);
	else if(!strcmp("save_settings", item)) main_info.save_settings = atoi(value);
	else if(!strcmp("save_posize", item)) main_info.save_posize = atoi(value);
	else if(!strcmp("height", item)) main_info.height = atoi(value);	
	else if(!strcmp("width", item)) main_info.width = atoi(value);
	else if(!strcmp("x", item)) main_info.x = atoi(value);	
	else if(!strcmp("y", item)) main_info.y = atoi(value);
    }
    fclose(fp);
    g_string_free(configfile, TRUE);
    return;
    }	
